Skip to main content
GET
Get outbound webhook by id

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

Authorization
string

The authorization token. Important: This header is required only if your environment has the Access Manager plugin enabled.

Path Parameters

id
string
required

Outbound webhook id (UUID).

Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

Response

OK

attemptCount
integer<int64>
required
Example:

0

createdAt
string<date-time>
required
Example:

"2026-05-21T12:00:00Z"

entityId
string
required
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

entityType
string
required
Example:

"DICT_ENTRY"

flowType
string
required
Example:

"DICT"

id
string
required
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

maxRetries
integer<int64>
required
Example:

3

requestId
string
required
Example:

"560d59b9-3c74-46f8-be67-fee895b8e89e"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
SENT,
FAILED,
DEAD_LETTER
Example:

"PENDING"

updatedAt
string<date-time>
required
Example:

"2026-05-21T12:00:00Z"

deadLetter
boolean
Example:

false

deliveredAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

errorMessage
string
Example:

"timeout calling target URL"

failedAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

failureReason
string
Example:

"max_retries_exceeded"

lastAttemptAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

movedBy
string
Example:

"outbound-worker"

nextRetryAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

payload
any
targetUrl
string
Example:

"https://client.example.com/webhooks"